Skip to main content
`Ctrl`+`K`

# STFilterGetThreshold

Gets the threshold value \(\gamma\) used to decide whether eigenvalue approximations are inside or outside the wanted interval.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterGetThreshold(ST st,PetscReal *gamma)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- gamma - the threshold value

## Note

An eigenvalue \(\lambda\) is considered to be inside the wanted interval if \(|p(\lambda)|\geq\gamma\), and outside otherwise.

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterGetRange()`

## Level

developer

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterGetThreshold_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages